@import "pref";

.dwfe-form {
  position: relative;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: stretch;
}

.dwfe-form__item {
  margin-bottom: $form-half-indent;
}

.dwfe-form__btn,
.dwfe-form__btn.mat-raised-button {
  padding: 10px 0;

  flex-grow: 1;

  @include fonts4($font-size-x3, $font-height-normal, $font-weight-normal, normal);
  outline-width: 0;

  &[disabled] {
    cursor: not-allowed;
    background-color: rgba($color-black, 0.06);
    color: rgba($color-black, 0.26);
  }
}

.dwfe-form__btn--standard {
  background-color: $color-tower-gray;
  color: $color-mine-shaft;
}

.dwfe-form__btn--attraction {
  background-color: $color-green-spring-approx;
  color: $color-mine-shaft;
}

.dwfe-form__btn--warning {
  background-color: $color-bg-warning;
  color: $color-warning;
}

.dwfe-form__alert {
  width: 100%;

  text-align: left;
  white-space: normal;
  pointer-events: none;
}

.dwfe-form__alert--over {
  position: absolute;
  top: -30px;
  left: 0;
}

.dwfe-form__alert--under {
  position: absolute;
  bottom: -30px;
  left: 0;
}
